Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78801 - Anaconda installation crash after starting X server
Summary: Anaconda installation crash after starting X server
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-30 19:17 UTC by Mark Valenti
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-03 04:01:17 UTC


Attachments (Terms of Use)

Description Mark Valenti 2002-11-30 19:17:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I attempt to install RH Linux 8.0 on a SCSI system with Intel Celeron II.The
installer crashes after starting the X server. Screen output is reproduced below...



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install RH Linux 8.0
2.
3.
	

Actual Results:  The following is the screen output

...
1...2...3...4...5.... X Server startd
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 639, in?
     iutil.makeDriveDeviceNodes()
  File "/usr/lib/anaconda/iutil.py", line 420, in makeDriveDeviceNodes
     isys.makeDevInode(drive,"/dev/%s" %(drive,))
  File "/usr/lib/anaconda/isys.py", line 265, in makeDevInode
     _isys.mkdevinode(name,fn)
SystemError: (2,'No such file or directory')
install exited abnormally
...

Expected Results:  installation of OS

Additional info:

SCSI system with RH 8.0

Comment 1 Michael Fulbright 2002-12-02 16:00:00 UTC
Could you give details on the hardware in your system please?

Comment 2 Mark Valenti 2002-12-02 23:13:13 UTC
Below is the dmesg output from the same machine with RedHat Linux 7.2. If more 
is needed let me know...

Linux version 2.4.2-2 (root@porky.devel.redhat.com) (gcc version 2.96 20000731 
(Red Hat Linux 7.1 2.96-79)) #1 Sun Apr 8 20:41:30 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009fc00 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000400 @ 000000000009fc00 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 000000000fef0000 @ 0000000000100000 (usable)
 BIOS-e820: 0000000000008000 @ 000000000fff0000 (ACPI data)
 BIOS-e820: 0000000000008000 @ 000000000fff8000 (ACPI NVS)
 BIOS-e820: 0000000000010000 @ 00000000ffff0000 (reserved)
On node 0 totalpages: 65520
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 61424 pages.
zone Normal has max 479 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
hm, page 01000000 reserved twice.
Kernel command line: auto BOOT_IMAGE=linux ro root=806 BOOT_FILE=/boot/vmlinuz-
2.4.2-2
Initializing CPU#0
Detected 501.184 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 999.42 BogoMIPS
Memory: 254932k/262080k available (1365k kernel code, 6760k reserved, 92k data, 
236k init, 0k highmem)
Dentry-cache hash table entries: 32768 (order: 6, 262144 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0183f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 128K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0183f9ff 00000000 00000000 00000000
CPU: After generic, caps: 0183f9ff 00000000 00000000 00000000
CPU: Common caps: 0183f9ff 00000000 00000000 00000000
CPU: Intel Celeron (Mendocino) stepping 05
Enabling fast FPU save and restore... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfdb31, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Disabled enhanced CPU to PCI posting
PCI: Disabled enhanced CPU to PCI posting #2
PCI: Using IRQ router VIA [1106/0596] at 00:07.0
Activating ISA DMA hang workarounds.
isapnp: Scanning for PnP cards...
isapnp: Calling quirk for 01:03
isapnp: CMI8330 quirk - fixing interrupts and dma
isapnp: Card 'CMI8330/C3D Audio Adapter'
isapnp: 1 Plug & Play card detected total
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS not found.
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 169221kB/56407kB, 512 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
PCI: Enabling device 00:07.1 (0000 -> 0001)
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt82c596a (rev 06) IDE UDMA33 controller on pci00:07.1
VP_IDE: neither IDE port enabled (BIOS)
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 359k freed
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ 
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
PCI: Found IRQ 14 for device 00:08.0
IRQ routing conflict in pirq table for device 00:08.0
(scsi0) <Adaptec AHA-294X Ultra SCSI host adapter> found at PCI 0/8/0
(scsi0) Wide Channel, SCSI ID=7, 16/255 SCBs
(scsi0) Cables present (Int-50 YES, Int-68 YES, Ext-68 NO)
(scsi0) Downloading sequencer code... 436 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
       <Adaptec AHA-294X Ultra SCSI host adapter>
  Vendor: SEAGATE   Model: SX423451W         Rev: 9E16
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: CONNER    Model: CTT8000-S         Rev: 1.07
  Type:   Sequential-Access                  ANSI SCSI revision: 02
  Vendor: NAKAMICH  Model: MJ-4.8S           Rev: 1.05
  Type:   CD-ROM                             ANSI SCSI revision: 02
(scsi0:0:6:1) Synchronous at 10.0 Mbyte/sec, offset 15.
  Vendor: NAKAMICH  Model: MJ-4.8S           Rev: 1.05
  Type:   CD-ROM                             ANSI SCSI revision: 02
  Vendor: NAKAMICH  Model: MJ-4.8S           Rev: 1.05
  Type:   CD-ROM                             ANSI SCSI revision: 02
  Vendor: NAKAMICH  Model: MJ-4.8S           Rev: 1.05
  Type:   CD-ROM                             ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
(scsi0:0:0:0) Synchronous at 40.0 Mbyte/sec, offset 8.
SCSI device sda: 45322644 512-byte hdwr sectors (23205 MB)
Partition check:
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 >
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=3
Trying to unmount old root ... okay
Freeing unused kernel memory: 236k freed
Adding Swap: 530104k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 20:53:29 Apr  8 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 10 for device 00:07.2
IRQ routing conflict in pirq table for device 00:07.2
usb-uhci.c: USB UHCI at I/O 0xdc00, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
st: bufsize 32768, wrt 30720, max init. buffers 4, s/g segs 16.
Attached scsi tape st0 at scsi0, channel 0, id 1, lun 0
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
0x378: FIFO is 16 bytes
0x378: writeIntrThreshold is 16
0x378: readIntrThreshold is 16
0x378: PWord is 8 bits
0x378: Interrupts are ISA-Pulses
0x378: ECP port cfgA=0x10 cfgB=0x40
0x378: ECP settings irq=<none or set by other means> dma=<none or set by other 
means>
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,COMPAT,ECP]
parport0: irq 7 detected
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
ip_conntrack (2047 buckets, 16376 max)
Linux Tulip driver version 0.9.14 (February 20, 2001)
PCI: Found IRQ 15 for device 00:09.0
eth0: Digital DS21140 Tulip rev 34 at 0xda00, 00:40:33:A6:46:BE, IRQ 15.
eth0:  EEPROM default media type Autosense.
eth0:  Index #0 - Media 10baseT (#0) described by a 21140 non-MII (0) block.
eth0:  Index #1 - Media 100baseTx (#3) described by a 21140 non-MII (0) block.
eth0:  Index #2 - Media 10baseT-FD (#4) described by a 21140 non-MII (0) block.
eth0:  Index #3 - Media 100baseTx-FD (#5) described by a 21140 non-MII (0) 
block.
eth0:  MII transceiver #1 config 3100 status 7809 advertising 05e1.
eth0:  Advertising 01e1 on PHY 1, previously advertising 05e1.
eth0:  Advertising 01e1 (to advertise is 01e1).
8139too Fast Ethernet driver 0.9.15 loaded
PCI: Found IRQ 11 for device 00:0a.0
IRQ routing conflict in pirq table for device 00:0a.0
eth1: RealTek RTL8139 Fast Ethernet at 0xd08c2e00, 00:00:b4:c0:ba:75, IRQ 14
eth1:  Identified 8139 chip type 'RTL-8139B'
eth1: Setting half-duplex based on auto-negotiated partner ability 0000.
fatfs: bogus cluster size
VFS: Can't find a valid MSDOS filesystem on dev 02:00.


Comment 3 Michael Fulbright 2003-01-03 02:30:52 UTC
Jeremy do you know of any aic issues with 8.0?

Comment 4 Jeremy Katz 2003-01-03 04:01:17 UTC
This is fixed in the update disk available at
http://people.redhat.com/~katzj/80update.img


Note You need to log in before you can comment on or make changes to this bug.